Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\SignalSlot\FieldTypeService Class Reference

FieldTypeService class. More...

Inheritance diagram for eZ\Publish\Core\SignalSlot\FieldTypeService:

## Public Member Functions
| __construct (FieldTypeServiceInterface $service, SignalDispatcher $signalDispatcher)
| Constructor. More...
| getFieldTypes ()
| Returns a list of all field types. More...
| getFieldType ($identifier)
| Returns the FieldType registered with the given identifier. More...
| hasFieldType ($identifier)
| Returns if there is a FieldType registered under $identifier. More...

## Protected Attributes
| $service
| $signalDispatcher

## Detailed Description

FieldTypeService class.

Definition at line 14 of file Core/SignalSlot/FieldTypeService.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\SignalSlot\FieldTypeService::__construct | ( | FieldTypeServiceInterface | $service,
|  | SignalDispatcher | $signalDispatcher
| ) |  |

Constructor.

Construct service object from aggregated service and signal dispatcher

Parameters

  \eZ\Publish\API\Repository\FieldTypeService | $service |
  \eZ\Publish\Core\SignalSlot\SignalDispatcher | $signalDispatcher |

Definition at line 39 of file Core/SignalSlot/FieldTypeService.php.

References eZ\Publish\Core\SignalSlot\FieldTypeService\$service, and eZ\Publish\Core\SignalSlot\FieldTypeService\$signalDispatcher.

## Member Function Documentation

## ◆ getFieldType()

eZ\Publish\Core\SignalSlot\FieldTypeService::getFieldType | ( |  | $identifier | ) |

Returns the FieldType registered with the given identifier.

Parameters

  string | $identifier |

Returns
  \eZ\Publish\API\Repository\FieldType

Exceptions

Implements eZ\Publish\API\Repository\FieldTypeService.

Definition at line 65 of file Core/SignalSlot/FieldTypeService.php.

## ◆ getFieldTypes()

eZ\Publish\Core\SignalSlot\FieldTypeService::getFieldTypes | ( |  | ) |

Returns a list of all field types.

Returns
  \eZ\Publish\API\Repository\FieldType[]

Implements eZ\Publish\API\Repository\FieldTypeService.

Definition at line 50 of file Core/SignalSlot/FieldTypeService.php.

## ◆ hasFieldType()

eZ\Publish\Core\SignalSlot\FieldTypeService::hasFieldType | ( |  | $identifier | ) |

Returns if there is a FieldType registered under $identifier.

Parameters

  string | $identifier |

Returns
  bool

Implements eZ\Publish\API\Repository\FieldTypeService.

Definition at line 77 of file Core/SignalSlot/FieldTypeService.php.

## Member Data Documentation

## ◆ $service

eZ\Publish\Core\SignalSlot\FieldTypeService::$service
| protected

Definition at line 21 of file Core/SignalSlot/FieldTypeService.php.

Referenced by eZ\Publish\Core\SignalSlot\FieldTypeService\__construct().

## ◆ $signalDispatcher

eZ\Publish\Core\SignalSlot\FieldTypeService::$signalDispatcher
| protected

Definition at line 28 of file Core/SignalSlot/FieldTypeService.php.

Referenced by eZ\Publish\Core\SignalSlot\FieldTypeService\__construct().

The documentation for this class was generated from the following file:

- Core/SignalSlot/FieldTypeService.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.